#include<miniini.h>
#include<iostream>

int main()
{
    INIFile ini;
    if(!ini.OpenFile("example.ini"))
        std::cout << "ERROR: Could not open example.ini";
    INISection * general = ini.GetSection("general");
    if(!general)
        std::cout << "ERROR: Missing section [general] in example.ini";
    const char * appname;
    int appbuild;
    if(!general->ReadString("AppName", appname))
        std::cout << "ERROR: Missing tag AppName= in section [general] in example.ini";
    if(!general->ReadInt("AppBuild", appbuild))
        std::cout << "ERROR: Missing or invalid tag AppBuild= in section [general] in example.ini";
    std::cout << appname << " build " << appbuild << "\n";

    INISection * unittypes = ini.GetSection("unittypes");
    if(!unittypes)
        std::cout << "ERROR: Missing section [unittypes] in example.ini";
    unsigned cap = 64;
    const char * * unitbuf = new const char * [cap];
    unsigned unitcount = unittypes->ReadStrings("", unitbuf, cap);
    if(!unitcount)
        std::cout << "ERROR: Could not read int array from section [unittypes] in example.ini";

    for(unsigned unit = 0; unit < unitcount; ++unit)
    {
        INISection * unitsection = ini.GetSection(unitbuf[unit]);
        if(!unitsection)
            std::cout << "ERROR: Missing section [" << unitbuf[unit] << "] in example.ini";
        int hitpoints;
        float speed;
        const char * weapon;
        bool evil;
        if(!unitsection->ReadInt("Hitpoints", hitpoints))
            std::cout << "ERROR: Missing or invalid tag Hitpoints= in section [" << unitbuf[unit] << "] in example.ini";
        if(!unitsection->ReadFloat("Speed", speed))
            std::cout << "ERROR: Missing or invalid tag Speed= in section [" << unitbuf[unit] << "] in example.ini";
        if(!unitsection->ReadString("Weapon", weapon))
            std::cout << "ERROR: Missing or invalid tag Weapon= in section [" << unitbuf[unit] << "] in example.ini";
        if(!unitsection->ReadBool("Evil", evil))
            std::cout << "ERROR: Missing or invalid tag Evil= in section [" << unitbuf[unit] << "] in example.ini";
        std::cout << "Unit " << unitbuf[unit] << " data:\n";
        std::cout << " Hitpoints: " << hitpoints << " Speed: " << speed << " Weapon: " << weapon  << " Evil: " << evil << "\n";
    }
    return 0;
}
