// Copyright (C) 2009-2010 Ferdinand Majerech
// This file is part of MiniINI
// For conditions of distribution and use, see copyright notice in LICENSE.txt

#ifndef GLOBALS_H_INCLUDED
#define GLOBALS_H_INCLUDED

#include "typedefs.h"

namespace miniini_private
{

///Single line comment character. ';' by default. Can be defined by user.
extern c comment;                                                   

///Characters parsed as line separators
/**
 * CR, LF, trailing zero
 */
extern c linesep[3];
///Number of elements in truebools and falsebools
#define BOOLNUM 3
///Strings parsed as true booleans in INISection::ReadBool/s
/**
 * true, yes, 1
 */
extern c truebools [BOOLNUM] [8];
///Strings parsed as false booleans in INISection::ReadBool/s
/**
 * true, yes, 1
 */
extern c falsebools [BOOLNUM] [8];

}

///Sets comment character 
/**
 * Default comment character is ';'. This function changes it to given character.
 * @param comment_char New comment character.
 */
void INISetComment(const char comment_char);

#endif
