// Copyright (C) 2009-2010 Ferdinand Majerech
// This file is part of MiniINI
// For conditions of distribution and use, see copyright notice in LICENSE.txt

#include "typedefs.h"
#include "globals.h"

namespace miniini_private
{

///Single line comment character. ';' by default. Can be defined by user.
c comment = ';';                                                   

///Characters parsed as line separators.
/**
 * CR, LF, trailing zero.
 */
c linesep[3] = {10, 13, 0};

///Strings parsed as booleans in INISection::ReadBool/s.
c truebools[BOOLNUM][8] = {"true", "yes", "1"};
c falsebools[BOOLNUM][8] = {"false", "no", "0"};

}

void INISetComment(const char commentchar)
{
    miniini_private::comment = commentchar;
}
